# Generated by Django 3.2.9 on 2021-11-06 18:55

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Worklog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('work', models.PositiveBigIntegerField(default=0)),
                ('cost', models.DecimalField(decimal_places=2, default=0, max_digits=20)),
                ('income', models.DecimalField(decimal_places=2, default=0, max_digits=20)),
                ('perosn', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='primetric.person')),
            ],
        ),
        migrations.CreateModel(
            name='Department',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('manager', models.ForeignKey(blank=True, default=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='primetric.person')),
            ],
        ),
    ]
